{
  services = {
    headscale = {
      enable = true;
      port = 3009;
      settings = {
        server_url = "https://va.m3tam3re.com";
        dns = {
          base_domain = "m3tam3re.loc";
        };
        logtail.enabled = false;
      };
    };
  };

  # Traefik configuration specific to
  services.traefik.dynamicConfigOptions.http = {
    services.headscale.loadBalancer.servers = [
      {
        url = "http://localhost:3009/";
      }
    ];

    routers.headscale = {
      rule = "Host(`va.m3tam3re.com`)";
      tls = {
        certResolver = "godaddy";
      };
      service = "headscale";
      entrypoints = "websecure";
    };
  };
}
