{pkgs, ...}: {
  services.mysql = {
    enable = true;
    package = pkgs.mysql84;
    ensureDatabases = [
      "ghost"
      "matomo"
    ];
    initialScript = pkgs.writeText "initial-script.sql" ''
      CREATE USER 'ghost'@'10.89.%' IDENTIFIED BY 'ghost';
      GRANT ALL PRIVILEGES ON ghost.* TO 'ghost'@'10.89.%';
    '';
  };
  services.mysqlBackup = {
    enable = true;
    calendar = "03:00:00";
    databases = ["ghost" "matomo"];
  };
  networking.firewall.allowedTCPPorts = [3306];
}
